org.richfaces.taglib

## Class ColumnsHandler

- java.lang.Object
- - com.sun.facelets.tag.TagHandler
  - - com.sun.facelets.tag.MetaTagHandler
    - - org.richfaces.taglib.ColumnsHandler

- All Implemented Interfaces:
    com.sun.facelets.FaceletHandler

      public class ColumnsHandler
      extends com.sun.facelets.tag.MetaTagHandler

  TODO Class description goes here.
  Author:
    "Andrey Markavtsov"

- - ### Field Summary

    - ### Fields inherited from class com.sun.facelets.tag.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnsHandler(com.sun.facelets.tag.jsf.ComponentConfig config)` TODO Description goes here.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)`
    `org.richfaces.taglib.ColumnsHandler.IterationContext` | `getIterationContext()`

    - ### Methods inherited from class com.sun.facelets.tag.MetaTagHandler

      `createMetaRuleset, setAttributes`

    - ### Methods inherited from class com.sun.facelets.tag.TagHandler

      `findNextByType, getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnsHandler

          public ColumnsHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

      TODO Description goes here.
      Parameters:
        `config` -

  - ### Method Detail

    - #### getIterationContext

          public org.richfaces.taglib.ColumnsHandler.IterationContext getIterationContext()

    - #### apply

          public void apply(com.sun.facelets.FaceletContext ctx,
                   javax.faces.component.UIComponent parent)
                     throws java.io.IOException,
                            javax.faces.FacesException,
                            javax.el.ELException

      Throws:
        `java.io.IOException`
        `javax.faces.FacesException`
        `javax.el.ELException`

Copyright © 2013. All Rights Reserved.